Subject: Re: [PATCH 0/5] refs: remove functions without ref store

From: Junio C Hamano <[email-masked]>
Date: Fri, 03 May 2024 11:24:11 -0700

Jeff King <[email-masked]> writes:

> Though maybe an even more radical proposal: now that read_ref_full(),
> etc, are gone, and we have only refs_read_ref_full(), could/should we
> shorten the latter to drop the "refs_" prefix?

I view it as a good longer-term goal.  But I also view it as an
orthogonal issue to the transition.

We need a smooth migration path for remaining callers of these older
functions.  We could do the USE_THE_INDEX_MACROS like compatibility
layer during transition period.

Thanks.